# Задача 2. Генерация

# Пользователь вводит целое число N. Напишите программу, которая генерирует список из N чисел,
# на чётных местах в нём стоят единицы, а на нечётных — числа, равные остатку от деления своего номера на 5.
# Пример:
# Введите длину списка: 10
# Результат: [1, 1, 1, 3, 1, 0, 1, 2, 1, 4]

num = int(input('Введите длину списка: '))

numbers = [1 if i_num % 2 == 0 else i_num % 5 for i_num in range(num)]

print('Результат: ', numbers)
